

#
# Copyright (C) 2006 Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

import sys
import os.path
import locale
import gettext
import gtk
import repoke
import depswindow
import progressbar

from config import *

def main (args):
    locale.setlocale (locale.LC_ALL, "")
    gettext.install (PACKAGE, os.path.join (DATADIR, "locale"))
            
    if len (args) != 2:
        sys.stderr.write (_("usage: %s <repo-url> <first-pkg>\n") % sys.argv[0])
        sys.exit (1)
        
    packages = {}

    def requires_progress (current, total, name):
        progressbar.progressbar (current, total, name)
        
    def create_package (name, requires, required_by, packages):
        packages[name] = depswindow.Pkg (name, requires, required_by)

    repoke.repoke (args[0], requires_progress, create_package, packages)

    window = depswindow.DepsWindow (packages, args[1])
    window.show ()

    gtk.main ()
